# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "mmf_parser"
version = "0.2.0"
build = false
exclude = ["*.mmf"]
include = [
    "src/*.rs",
    "Cargo.toml",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Yamaha SMAF File Parser"
homepage = "https://github.com/Pusungwi/mmf_parser/"
documentation = "https://docs.rs/mmf_parser"
readme = "README.md"
keywords = [
    "library",
    "music",
    "smaf",
    "mmf",
]
license-file = "LICENSE"
repository = "https://github.com/Pusungwi/mmf_parser/"

[lib]
name = "mmf_parser"
path = "src/lib.rs"

[dependencies.bitflags]
version = "2.11.0"

[dependencies.byteorder]
version = "1.4.3"

[dependencies.hound]
version = "3"
